

<div class="assignmentSkillWrap">
  <div class="bredcum">


    <div class="menuTab pull-left">
      <ul>
        <li>
          <p>Assignment Skill Details</p>
        </li>

      </ul>
    </div>
    <div class="btnAssing text-right">
      <button class="btn btn-cyean" (click)="openPopup()" >
        Add Assignment Skill
      </button>
    </div>
  </div>
  <div class="titleBar">

    <br>

    <table style="width:100%" class="skillDetailsTable">
      <tr>
        <th>Assignment Split Board Name</th>
        <th>Assignment Split Board Description</th>
        <th>Edit</th>
        <th>Delete</th>
      </tr>

      <tr *ngFor="let assignmentSplitBoardObj of assignmentSplitBoardList">
        <td>{{assignmentSplitBoardObj.assignmentSplitBoardName}}</td>
        <td>{{assignmentSplitBoardObj.assignmentSplitBoardDesp}}</td>
        <td> <button class="btn btn-cyean " (click)="editIntermediatePopUp(assignmentSplitBoardObj)">
          Edit Assignment Split Board
        </button></td>
        <td> <button class="btn btn-cyean " (click)="deleteIntermediatePopUp(assignmentSplitBoardObj)">
          Delete Assignment Split Board
        </button></td>
      </tr>

    </table>
  </div>


</div>



<div class="popWrap assignmentPopup" id="createAssignmentSplitBoard">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">
        <h4 *ngIf="!isEdit">create Assignment Split Board</h4>
        <h4  *ngIf="isEdit">Edit Assignment Split Board</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="fnHidePop()"></div>
      </div>
    </div>

    <div class="textCont">
      <form #assignmentSplitBoard="ngForm">
        <div class="row">
          <div class="col-sm-12">
            <div class="inputCont" [class.has-error]="assignmentSplitBoardObj.touched && assignmentSplitBoardObj.invalid">
              <label for="assignmentName">Assignment  Split Board Name <span style="color:red">*</span></label>
              <div class="search">
                <input type="text"  [(ngModel)]="assignmentSplitBoardObj.assignmentSplitBoardName" name="assignmentName" id="assignmentName"
                       #assignmentName="ngModel"  required placeholder="Assignment Split Board"/>
              </div>
              <span class="alert-msg" *ngIf="assignmentName.touched && assignmentName.invalid">Please Assignment Split Board Name.</span>
            </div>
          </div>
        </div>
        <div class="row">
          <label style="display:block;margin:20px 0"  for="assignmentName" style="display:block;margin:20px 0">Assignment Description <span style="color:red">*</span></label>
          <textarea   [(ngModel)]="assignmentSplitBoardObj.assignmentSplitBoardDesp" required name=description id="description"
                    #description="ngModel" style="width:100%;height:150px;border:1px solid rgba(151, 151, 151, 0.2);resize:none;outline:none"  style="width:100%;height:150px;border:1px solid rgba(151, 151, 151, 0.2);resize:none;outline:none"></textarea>
          <span class="alert-msg" *ngIf="description.touched && description.invalid">Please Enter  Assignment Split Board  Description</span>
        </div>
        <div class="row">
          <div class="col-sm-6">
            <button class="btn btn-create" *ngIf="!isEdit"  (click)="saveAssignmentSplitBoard()" [disabled]="!assignmentSplitBoard.form.valid">Save</button>
            <button class="btn btn-create" *ngIf="isEdit" (click)="updateAssignmentSplitBoard()" [disabled]="!assignmentSplitBoard.form.valid">Update</button>
          </div>
          <div class="col-sm-6">
            <button class="btn  btn-Close"  (click)="hidePopup()" >Close</button>

          </div>
        </div>
      </form>
    </div>

  </div>
</div>


<div class="popWrap assignmentPopup" id="deleteAssignmentSplitBoard">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">
        <h4 >Delete Assignment Split Board</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="fnDeleteHidePop()"></div>
      </div>
    </div>

    <div class="textCont">
      <div class="row">
        <div class="col-sm-12">
          <p>Are sure u want to delete {{deletesplitboardObj.assignmentSplitBoardObj}}</p>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-6">
          <button class="btn btn-create" (click)="deleteAssignmentSplitBoard(deletesplitboardObj)" >Delete</button>

        </div>
        <div class="col-sm-6">
          <button class="btn btn-Close" (click)="closeDeletePopup()">Close</button>
        </div>
      </div>

    </div>

  </div>
</div>
